Bug 1021155 - [abrt] gnome-settings-daemon-3.6.4-3.fc18: gnome_rr_config_load_current: Process /usr/libexec/gnome-settings-daemon was killed by signal 6 (SIGABRT)
[abrt] gnome-settings-daemon-3.6.4-3.fc18: gnome_rr_config_load_current: Proc...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:40678515058ce9e0f9a3f4d72ee...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 17:42 EDT by dwe-rhbug
Modified: 2015-06-29 20:43 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:43:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.94 KB, text/plain)
2013-10-19 17:42 EDT, dwe-rhbug
no flags Details
File: cgroup (130 bytes, text/plain)
2013-10-19 17:42 EDT, dwe-rhbug
no flags Details
File: core_backtrace (1.99 KB, text/plain)
2013-10-19 17:42 EDT, dwe-rhbug
no flags Details
File: dso_list (10.17 KB, text/plain)
2013-10-19 17:42 EDT, dwe-rhbug
no flags Details
File: environ (1.23 KB, text/plain)
2013-10-19 17:43 EDT, dwe-rhbug
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-19 17:43 EDT, dwe-rhbug
no flags Details
File: maps (51.39 KB, text/plain)
2013-10-19 17:43 EDT, dwe-rhbug
no flags Details
File: open_fds (1.89 KB, text/plain)
2013-10-19 17:43 EDT, dwe-rhbug
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-10-19 17:43 EDT, dwe-rhbug
no flags Details
File: var_log_messages (11.33 KB, text/plain)
2013-10-19 17:43 EDT, dwe-rhbug
no flags Details

  None (edit)
Description dwe-rhbug 2013-10-19 17:42:43 EDT
Description of problem:
Attempted to logon after yum update

Version-Release number of selected component:
gnome-settings-daemon-3.6.4-3.fc18

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: gnome_rr_config_load_current
executable:     /usr/libexec/gnome-settings-daemon
kernel:         3.10.12-100.fc18.x86_64
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 gnome_rr_config_load_current at gnome-rr-config.c:664
 #5 gnome_rr_config_new_current at gnome-rr-config.c:740
 #6 gnome_rr_config_load_filename at gnome-rr-config.c:680
 #7 apply_configuration_from_filename at gsd-xrandr-manager.c:452
 #8 apply_stored_configuration_at_startup at gsd-xrandr-manager.c:1908
 #9 gsd_xrandr_manager_start at gsd-xrandr-manager.c:2046
 #10 impl_activate at gsd-xrandr-plugin.c:78
 #11 _activate_plugin at gnome-settings-plugin-info.c:408
 #12 gnome_settings_plugin_info_activate at gnome-settings-plugin-info.c:431
 #13 maybe_activate_plugin at gnome-settings-manager.c:96
Comment 1 dwe-rhbug 2013-10-19 17:42:49 EDT
Created attachment 814114 [details]
File: backtrace
Comment 2 dwe-rhbug 2013-10-19 17:42:52 EDT
Created attachment 814115 [details]
File: cgroup
Comment 3 dwe-rhbug 2013-10-19 17:42:55 EDT
Created attachment 814116 [details]
File: core_backtrace
Comment 4 dwe-rhbug 2013-10-19 17:42:58 EDT
Created attachment 814117 [details]
File: dso_list
Comment 5 dwe-rhbug 2013-10-19 17:43:01 EDT
Created attachment 814118 [details]
File: environ
Comment 6 dwe-rhbug 2013-10-19 17:43:04 EDT
Created attachment 814119 [details]
File: limits
Comment 7 dwe-rhbug 2013-10-19 17:43:08 EDT
Created attachment 814120 [details]
File: maps
Comment 8 dwe-rhbug 2013-10-19 17:43:11 EDT
Created attachment 814121 [details]
File: open_fds
Comment 9 dwe-rhbug 2013-10-19 17:43:14 EDT
Created attachment 814122 [details]
File: proc_pid_status
Comment 10 dwe-rhbug 2013-10-19 17:43:17 EDT
Created attachment 814123 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 09:41:34 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Joe Doss 2014-01-05 15:58:10 EST
I am still getting this from time to time in FC 20.
Comment 13 Fedora End Of Life 2014-02-05 17:29:38 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Kevin Fenzi 2014-04-04 14:09:52 EDT
Several folks are still seeing this on Fedora 20.
Comment 15 Tyler Roberts 2014-04-04 14:13:46 EDT
dmesg output after crash gives me the following, after gnome-settings-daemon is killed by SIGSEV

[ 52.547814] gnome-settings-[1953]: segfault at 0 ip 00007f24885fa03e sp 00007fff82d29150 error 4 in libgeocode-glib.so.0.0.0[7f24885f2000+e000]
[ 56.500250] gnome-settings-[2379]: segfault at 0 ip 00007f5eb318703e sp 00007fff5976e3c0 error 4 in libgeocode-glib.so.0.0.0[7f5eb317f000+e000]
Comment 16 Tyler Roberts 2014-04-04 14:25:39 EDT
I'm running Fedora20 64bit, and I also wanted to note that my ABR said gnome-settings-daemon was killed by SIGSEGV.
I've tried yum reinstall gnome-settings-daemon and @gnome to no avail. The error does not occur in the Cinnamon DE.

(In reply to Tyler Roberts from comment #15)
> dmesg output after crash gives me the following, after gnome-settings-daemon
> is killed by SIGSEV
> 
> [ 52.547814] gnome-settings-[1953]: segfault at 0 ip 00007f24885fa03e sp
> 00007fff82d29150 error 4 in libgeocode-glib.so.0.0.0[7f24885f2000+e000]
> [ 56.500250] gnome-settings-[2379]: segfault at 0 ip 00007f5eb318703e sp
> 00007fff5976e3c0 error 4 in libgeocode-glib.so.0.0.0[7f5eb317f000+e000]
Comment 17 Fedora End Of Life 2015-05-29 05:35:51 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-06-29 20:43:55 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.